<?php
class Redux_Options_raw_html {

    /**
     * Field Constructor.
     *
     * Required - must call the parent constructor, then assign field and value to vars, and obviously call the render field function
     *
     * @since Redux_Options 2.0.1
    */
     protected $field;
 public $value;
 protected $args;
    
function __construct($field = array(), $value ='', $parent = array() ) {
        $this->field = $field;
		$this->value = $value;
		$this->args = $parent->args;
    }

    /**
     * Field Render Function.
     *
     * Takes the vars and outputs the HTML for the field in the settings
     *
     * @since Redux_Options 2.0.1
    */
    function render() {
    	if(empty($this->field['title']))
    		echo '</td></tr></table>';
        echo '<div id="'.$this->field['id'].'">' . $this->field['html'] . '</div>';
    }
}
